//CGFXLensFlare - [2020-04-13 11:57:46]
#ifndef _CGFXLENSFLARE_H_
#define _CGFXLENSFLARE_H_

#include "common.h"
#include "CFTTVector32.h"

/*
001B7018 CGFXLensFlare::Init(float)
001B7168 CGFXLensFlare::Shutdown()
001B7184 CGFXLensFlare::Update()
001B7314 CGFXLensFlare::RenderFlares()
001B7640 CGFXLensFlare::Render()
*/

class CGFXLensFlare {
public:
  static void Init(float);     //001B7018
  static void Shutdown();      //001B7168
  static void Update();        //001B7184
  static void RenderFlares();  //001B7314
  static void Render();        //001B7640

  static float s_fLensFlareScale;
  static float s_fVisibility;
  static float s_fIntensity;
  static bool s_bOnScreen;
  static CFTTVector32 s_vSunDirection;
};

#endif  //_CGFXLENSFLARE_H_